package org.ten60.netkernel.test.endpoint;

import org.netkernel.ext.system.representation.IRepDeployedModules;
import org.netkernel.layer0.meta.IModuleMeta;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.urii.IMetaRepresentation;

public class SpaceExplorerModuleFilterAccessor extends StandardAccessorImpl
{
	public SpaceExplorerModuleFilterAccessor()
	{			
	}

	@Override
	public void onSource(INKFRequestContext aContext) throws Exception
	{
		IRepDeployedModules mods=aContext.source("active:moduleList", IRepDeployedModules.class);
		IModuleMeta meta=(IModuleMeta)mods.metadataForHash(aContext.getThisRequest().getArgumentValue("entityId"));
		INKFResponse resp=aContext.createResponseFrom("");
		resp.setHeader("httpResponse:/redirect", "/test/?filter=module:"+meta.getIdentifier());
	}

	
}
