package org.ten60.netkernel.test.self;

import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.xml.xda.DOMXDA;
import org.netkernel.xml.xda.IXDAReadOnly;
import org.w3c.dom.Document;

public class SelfTestOuterAssertAccessor extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext helper) throws Exception
	{	Object result=helper.source("arg:result");
		boolean valid=true;
		valid=result instanceof org.w3c.dom.Document;
		IXDAReadOnly xda=(IXDAReadOnly)new DOMXDA((Document)result);
		valid&=xda.eval("/testlist/results/testTotal=24").equals("true");
		valid&=xda.eval("/testlist/results/testRun=23").equals("true");
		valid&=xda.eval("/testlist/results/testSuccess=11").equals("true");
		valid&=xda.eval("/testlist/results/testFailException=1").equals("true");
		valid&=xda.eval("/testlist/results/testFailAssert=11").equals("true");
		valid&=xda.eval("/testlist/test[1]/@testStatus='success'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail0']/@testStatus='exception'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail1']/@testStatus='setupException'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail2']/@testStatus='teardownException'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail3']/@testStatus='assertionFailure'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail4']/@testStatus='assertionFailure'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail5']/@testStatus='assertionFailure'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail6']/@testStatus='assertionFailure'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail7']/@testStatus='assertionException'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail8']/@testStatus='assertionException'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail9']/@testStatus='assertionFailure'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail10']/@testStatus='assertionFailure'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail11']/@testStatus='assertionFailure'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail12']/@testStatus='assertionFailure'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail13']/@testStatus='assertionFailure'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail13']/assert/literalAssert/@assertExpected='org.w3c.dom.Document'").equals("true");
		valid&=xda.eval("/testlist/descendant::test[@id='fail13']/assert/literalAssert/@assertReceived='java.lang.String'").equals("true");
		helper.createResponseFrom(valid);
	}		
}
